#ifndef _QPANELWIDGET_H_
#define _QPANELWIDGET_H_

#include <QtGui>

#include "ui_qpanelwidget.h"

namespace projection
{
class ProjectionModel;
class Channel;

class QPanelWidget : public QWidget
{
    Q_OBJECT

public:

    QPanelWidget(QWidget* pParent=0, Qt::WFlags flag=0);
    ~QPanelWidget();

    void setModel(ProjectionModel* pModel);
    void selectChannel(Channel* pChannel);
    void removeChannel(Channel* pChannel);

    void activateChannels();
    void activateScreen();
    void activateScene();

    void updateChannelNames();
    void updateChannels();
    void updateCurrentChannel();
    void updateGUI();

private:

    Ui::QPanelWidget ui;

    ProjectionModel* m_pModel;
};

}; // projection

#endif // _QPANELWIDGET_H_
