#ifndef _QSCREENWIDGET_H_
#define _QSCREENWIDGET_H_

#include <QtGui>

#include "ui_qscreenwidget.h"

namespace projection
{
class Screen;

class QScreenWidget : public QWidget
{
    Q_OBJECT

public:

    QScreenWidget(QWidget* pParent=0, Qt::WFlags flag=0);
    ~QScreenWidget();

    void setScreen(Screen* pScreen);

    void updateGUI();

private slots:

    void on_typeComboBox_activated(int index);

    void on_transformWidget_matrixChanged(const TransformMatrix& matrix);

    void on_domeRadiusEdit_editingFinished();
    void on_domeAzimResSpinBox_valueChanged(int value);
    void on_domeElevResSpinBox_valueChanged(int value);
    void on_domeSubdivSpinBox_valueChanged(int value);
    void on_domeFullDomeCheckBox_toggled(bool checked);

    void on_planeWidthEdit_editingFinished();
    void on_planeHeightEdit_editingFinished();
    void on_planeHorResSpinBox_valueChanged(int value);
    void on_planeVertResSpinBox_valueChanged(int value);

    void on_boxWidthEdit_editingFinished();
    void on_boxHeightEdit_editingFinished();
    void on_boxDepthEdit_editingFinished();
    void on_boxHorResSpinBox_valueChanged(int value);
    void on_boxVertResSpinBox_valueChanged(int value);
    void on_boxDepthResSpinBox_valueChanged(int value);

    void on_modelFileNameEdit_editingFinished();
    void on_modelBrowseButton_clicked();

    void on_frameCheckBox_toggled(bool checked);
    void on_frameLineWidthSpinBox_valueChanged(int value);

private:

    Ui::QScreenWidget ui;

    Screen* m_pScreen;
};

}; // projection

#endif // _QSCREENWIDGET_H_
